View Issue Details

IDProjectCategoryLast Update
0022503AI War 2[All Projects] Balance IssueMay 20, 2020 4:44 pm
ReporterEndoviorAssigned Tox4000Bughunter 
Severityfeature 
Status resolvedResolutionfixed 
Product VersionBETA 1.101 Ship Cap Reversions 
Fixed in Version2.045 Scientific Emergence 
Summary0022503: Enable spawning of non-standard transports
DescriptionCurrently, it seems like the best starting fleet is the Cloaked Fleet... not because it's necessarily all that much better than the other fleets, but because it offers a unique capability; it's the only way to get a Cloaked Transport Flagship, which is an incredible tool for deep strikes against critical AI targets. If you don't take that starting fleet, you won't get a fleet with that capability, since only standard Transport Flagships currently spawn (this also affects the Agile Transport Flagship, but I find that stealth is more generally-useful than speed).

This should be changed; if variant transports had some chance of spawning at all, then I'd feel less need to take the Cloaked Fleet every single game.
TagsNo tags attached.

Activities

Fluffiest

Jan 4, 2020 12:57 pm

reporter   ~0055330

I'd like to second this one.

Strategic Sage

Jan 5, 2020 8:16 am

reporter   ~0055333

I think the reason it is currently this way is because the perks system for XP upgrades isn't in yet.

Endovior

May 14, 2020 11:11 am

reporter   ~0056988

XP is being retired as of next patch. Time to have another look at this issue?

BadgerBadger

May 14, 2020 11:48 am

manager   ~0056989

My default answer would be to remove the cloaked fleet, so hopefully chris has better ideas ;-)

x4000Bughunter

May 20, 2020 12:06 pm

administrator   ~0057058

Yep, I think that this and Agile need a chance to randomly seed around. I'll take a look.

x4000Bughunter

May 20, 2020 4:44 pm

administrator   ~0057070

Thanks!

* Agile transports can now be found throughout the galaxy, not just as part of the one of the starter fleets. They are the same rarity as the cloaker transports.
** They also now have their own tech line, and their techs are 2x as expensive as normal. Except for the last mark, which is toned down because that would be crazy.
** If these seem too hard or easy to find in practice, please let us know.

Issue History

Date Modified Username Field Change
Jan 3, 2020 7:05 pm Endovior New Issue
Jan 4, 2020 12:57 pm Fluffiest Note Added: 0055330
Jan 5, 2020 8:16 am Strategic Sage Note Added: 0055333
May 14, 2020 11:11 am Endovior Note Added: 0056988
May 14, 2020 11:48 am BadgerBadger Note Added: 0056989
May 14, 2020 11:48 am BadgerBadger Assigned To => x4000Bughunter
May 14, 2020 11:48 am BadgerBadger Status new => assigned
May 20, 2020 12:06 pm x4000Bughunter Note Added: 0057058
May 20, 2020 4:44 pm x4000Bughunter Status assigned => resolved
May 20, 2020 4:44 pm x4000Bughunter Resolution open => fixed
May 20, 2020 4:44 pm x4000Bughunter Fixed in Version => 2.045 Scientific Emergence
May 20, 2020 4:44 pm x4000Bughunter Note Added: 0057070